[ 
https://issues.apache.org/jira/browse/PROTON-199?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Ken Giusti updated PROTON-199:
------------------------------

    Attachment: proton-199.patch

Here's a patch that provides just enough "uuid" support to pass the tests.

I'm not convinced we should apply it.  I'm not sure proton should get into the 
business of providing an alternative python uuid implementation.

Rather, I think we should either limit our support to python 2.5, or otherwise 
simply avoid exporting UUID-related proton interfaces when native uuid support 
is not present.

Opinions?
                
> [Proton-c] Python binding requires python 2.6+
> ----------------------------------------------
>
>                 Key: PROTON-199
>                 URL: https://issues.apache.org/jira/browse/PROTON-199
>             Project: Qpid Proton
>          Issue Type: Improvement
>          Components: proton-c
>    Affects Versions: 0.3
>         Environment: python versions < 2.5
>            Reporter: Ken Giusti
>            Priority: Minor
>         Attachments: proton-199.patch
>
>
> Python bindings make use of (at least two) python language features that 
> require python versions newer than 2.5:
> - uuid
> - bytes
> In order to support older versions of the python language, these features 
> would have to be removed, or a compatibility layer would need to be provided.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Reply via email to